XMSSKeyParameters (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.pqc.crypto.xmss

## Class XMSSKeyParameters

- java.lang.Object
- - org.bouncycastle.crypto.params.AsymmetricKeyParameter
  - - org.bouncycastle.pqc.crypto.xmss.XMSSKeyParameters

- All Implemented Interfaces:
    CipherParameters
  Direct Known Subclasses:
    XMSSPrivateKeyParameters, XMSSPublicKeyParameters

      public class XMSSKeyParameters
      extends AsymmetricKeyParameter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `SHA_256`
    `static java.lang.String` | `SHA_512`
    `static java.lang.String` | `SHAKE128`
    `static java.lang.String` | `SHAKE256`
    `static java.lang.String` | `SHAKE256_LEN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMSSKeyParameters(boolean isPrivateKey, java.lang.String treeDigest)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getTreeDigest()`

    - ### Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter

      `isPrivate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SHA_256

          public static final java.lang.String SHA_256

      See Also:
        Constant Field Values

    - #### SHA_512

          public static final java.lang.String SHA_512

      See Also:
        Constant Field Values

    - #### SHAKE128

          public static final java.lang.String SHAKE128

      See Also:
        Constant Field Values

    - #### SHAKE256

          public static final java.lang.String SHAKE256

      See Also:
        Constant Field Values

    - #### SHAKE256_LEN

          public static final java.lang.String SHAKE256_LEN

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### XMSSKeyParameters

          public XMSSKeyParameters(boolean isPrivateKey,
                                   java.lang.String treeDigest)

  - ### Method Detail

    - #### getTreeDigest

          public java.lang.String getTreeDigest()